package be.msyben.vinylManager.tools.log;

import be.msyben.vinylManager.tools.Tools;
import java.io.IOException;
import java.io.OutputStream;

/**
 * Redéfinition d'un outputStream afin de logger tout dans le fichier de log.
 * @author Mathieu Syben
 */
public class VinylManagerLoggerOutputStream extends OutputStream {

    @Override
    public void write(int b) throws IOException {
        VinylManagerLogger.logFromOut(b);
    }
    
    @Override
    public final void write(byte[] arg0) throws IOException {
        VinylManagerLogger.logFromOut(new String(arg0, Tools.defaultCharset));
    }
}
